Subject: Re: printk() ?

From: Tom Roberts <[email-masked]>
Date: Wed, 27 Sep 2000 14:47:45 -0500

Zhaobin Zhu wrote:
> Where does printk() in linux kernel send message to ?

It normally prints to the syslogd facility, which by default makes it come
out in the file /var/log/messages and also for important enough messages
comes out on the console. Note that if you write your own console driver,
you probably need to write _two_ drivers: the actual console driver used
by printk (the read routine seems to be unused), and a serial I/O driver
which will be opened by the kernel for the init process. Console drivers
themselves do not appear in the filesystem, but are registered via
register_console(). The serial I/O device needs to appear in the filesystem
for the kernel to open it for init, so should be a standard char device.

> In which file I can find it ?

kernel/printk.c

Tom Roberts	[email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/